package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.function.Supplier;

/**
 * @Author：yang
 * @Package：com.muyu.common.domain   元数据字段查询表
 * @Project：cloud-property
 * @name：TableField
 * @Date：2024/8/23 11:39
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("tablefie")
public class TableFie{

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 字段名称
     */
    @TableField(value = "field")
    private String field;
    /**
     * 字段类型
     */
    private String type;
    /**
     * 编码格式
     */
    private String collation;
    /**
     * 是否为空
     */
    private String nullable;
    /**
     * 主键字段
     */
    @TableField(value = "primarys")
    private String primarys;
    /**
     * 注释
     */
    private String annotation;
    /**
     * 表名称ID
     */
    @TableField(value = "table_id")
    private Integer tableId;

    /**
     * 字段数据
     */
    private String dataValue;

    /**
     * 映射字段
     */
//    @TableField(exist = false)
    private String dataMapping;

    public TableFie(Integer id, String field) {
        this.id = id;
        this.field = field;
    }

    public static TableFie customerBuild(TableFie tableFie, Supplier<TableFie> function) {
        return TableFie.builder()
                .id(tableFie.getId())
                .field(tableFie.getField())
                .type(tableFie.getType())
                .collation(tableFie.getCollation())
                .nullable(tableFie.getNullable())
                .primarys(tableFie.getPrimarys())
                .annotation(tableFie.getAnnotation())
                .tableId(tableFie.getTableId())
                .dataValue(tableFie.getDataValue())
                .dataMapping(tableFie.getDataMapping())
                .build();
    }

    public static TableFie customerBuildName(TableFie tableFie) {
        return TableFie.builder()
                .id(tableFie.getId())
                .field(tableFie.getField())
                .type(tableFie.getType())
                .collation(tableFie.getCollation())
                .nullable(tableFie.getNullable())
                .primarys(tableFie.getPrimarys())
                .annotation(tableFie.getAnnotation())
                .tableId(tableFie.getTableId())
                .dataValue(tableFie.getDataValue())
                .dataMapping(tableFie.getDataMapping())
                .build();
    }

    /**
     * 添加spring流
     * @param req
     * @return
     */
    public static TableFie addBuild(TableFie req) {
        return  com.muyu.common.domain.TableFie.builder()
                .type(req.getType())
                .collation(req.getCollation())
                .nullable(req.getNullable())
                .primarys(req.getPrimarys())
                .annotation(req.getAnnotation())
                .build();
    }

    /**
     * 修改spring流
     * @param req
     * @return
     */
    public static TableFie updBuild(TableFie req, Supplier<String> idSupplier) {
        return  com.muyu.common.domain.TableFie.builder()
                .field(idSupplier.get())
                .type(req.getType())
                .collation(req.getCollation())
                .nullable(req.getNullable())
                .primarys(req.getPrimarys())
                .annotation(req.getAnnotation())
                .build();
    }


    public TableFie buildTableField() {
        return TableFie.builder()
                .field(this.getField())
                .type(this.getType())
                .collation(this.getCollation())
                .nullable(this.getNullable())
                .primarys(this.getPrimarys())
                .annotation(this.getAnnotation())
                .build();
    }

    public static TableFie tableFieBuild(TableFie tableFie) {
        return TableFie.builder()
                .id(tableFie.getId())
                .field(tableFie.getField())
                .type(tableFie.getType())
                .collation(tableFie.getCollation())
                .nullable(tableFie.getNullable())
                .primarys(tableFie.getPrimarys())
                .annotation(tableFie.getAnnotation())
                .tableId(tableFie.getTableId())
                .dataValue(tableFie.getDataValue())
                .dataMapping(tableFie.getDataMapping())
                .build();
    }

}
