package com.muyu.common.domain.req;

import com.muyu.common.domain.Connect;
import com.muyu.common.domain.data.base.BaseConfig;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：张腾
 * @Package：com.muyu.common.domain
 * @Project：cloud-integration
 * @name：Connection
 * @Date：2024/8/21 1:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ConnectReq {

    /**
     * 连接源
     */
    private String DRIVER = "com.mysql.cj.jdbc.Driver";

    //jdbc:mysql://127.0.0.1:3306/test
    /**
     * 连接地址
     */
    private final String Url = "jdbc:mysql://";

    /**
     * 账号
     */
    private final String USER = "root";

    /**
     * 密码
     */
    private final String PWD = "Bwie-8666";

    /**
     * 获取mysql数据库连接
     * @return
     */
    public String getUrl(Connect connect){
    StringBuilder urlSb = new StringBuilder(BaseConfig.MYSQLJDBCPRO);
        //拼接ip
        urlSb.append(connect.getIpAddress());
        urlSb.append(":");
        //拼接端口
        urlSb.append(connect.getPort());
        urlSb.append("/");
        //拼接数据库
        urlSb.append(connect.getDatabaseName());
        urlSb.append("?");
        //useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
        urlSb.append(connect.getDataConnParam());
        return urlSb.toString();
}
/**
 * 获取mysql数据库连接
 * @return
 */
public String getOracleUrl(Connect connect){

    StringBuilder urlSb = new StringBuilder(BaseConfig.ORACLEJDBCPRO);
    //拼接ip
    urlSb.append(connect.getIpAddress());
    urlSb.append(":");
    //拼接端口
    urlSb.append(connect.getPort());
    urlSb.append(":");
    //PDB
    urlSb.append(connect.getDataConnParam());
    return urlSb.toString();
}

}
