package com.muyu.common.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：张腾
 * @Package：com.muyu.common.domain
 * @Project：cloud-integration
 * @name：Connection
 * @Date：2024/8/21 1:00
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ConnectResp extends BaseEntity {

    /**
     * 接入源名称
     */
    private String accSourName;

    /**
     * 数据来源系统名称
     */
    private String dataSourSystemName;

    /**
     * 数据接入类型
     */
    private String clazzName;

    /**
     * ip地址
     */
    private String ipAddress;

    /**
     * 端口号地址
     */
    private String port;

    /**
     * 数据库名称
     */
    private String databaseName;

    /**
     * 是否初始化
     */
    private Integer initialization;

    /**
     * 备注
     */
    private String notes;
}
