package com.muyu.server.service;

import com.muyu.common.core.domain.Result;
import com.muyu.common.domain.DataName;
import com.muyu.common.domain.DataValue;
import com.muyu.common.domain.TableNames;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 *@Author：yang
 *@Package：com.muyu.server.service
 *@Project：cloud-property
 *@name：DataLinkService
 *@Date：2024/9/7 20:16
 */
public interface DataLinkService {

    /**
     * 查询表数据count
     * @param dataName 数据库名称
     * @param sql sql语句
     * @return 反护试图
     */
    public Long findCount(String dataName, String sql);

    /**
     * 查询表数据dashuju表
     *
     * @param dataName 数据库名称
     * @param sql      sql语句
     * @param one
     * @param two
     * @return 反护试图
     */
    DataValue[][] findSelectDataList(String dataName, String sql, String dataTableName, Long one, Integer two);

    /**
     * 查询表数据下所有表表
     * @param dataName 数据库名称
     * @return 反护试图
     */
    List<DataName> findSelectDataShow(String dataName);

    /**
     * 查询表数据dashuju表
     * @param dataTableName 查看表下的所有数据
     * @return 反护试图
     */
    List<TableNames> findSelectTableShow(String dataTableName);
}
