package com.muyu.server.service;

import com.muyu.common.domain.*;
import com.muyu.common.system.domain.SysDept;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service
 * @Project：cloud-property
 * @name：DataRunName
 * @Date：2024/8/27 20:00
 */
public interface DataRunNameService {

    /**
     * 添加 数据库名，表名，结构
     */
    String addDataTableName(Connect connect);

    /**
     * 查询数据库名称 和 表名称联查
     * @return
     */
    List<DataName> getDatabasesName();

    /**
     *  连接数据库获取当前所有的数据库名称和所有字段
     * @return 所有数据库以及所有表的结果集
     */
    List<DataName> getDataBaseTableName();

    /**
     * 资产展示
     *  连接数据库获取当前所有的数据库名称和所有字段
     * @return 所有数据库以及所有表的结果集
     */
    List<DataName> extractDataTableNameShow();

    /**
     * 数据类型转换
     * @paracId 数据类型转换ID
     * @return 返回结果
     */
    List<DataValue> findTableValue( String dataId,String tableName);

    /**
     * 数据类型转换
     * @par 数据类型转换ID
     * @return 返回结果
     */
    List<DataValue> selectBasicList();

    /**
     * 获取表中的数据值前台调用 闪闪
     *
     * @param basicId   响应参数
     * @param tableName 响应参数
     * @param dataId
     * @return 返回结果
     */
    List<DataValue> findTableValueByTableName(Long basicId, String dataId, String tableName);

    /**
     * 获取部门列表
     */
    List<SysDept> selectDeptList(SysDept dept);

    /**
     * 添加用户权限的信息
     * @param authorization 相应参数
     * @return 返回结果
     */
    boolean addUserAssetAuthorization(AssetAuthorization authorization);

    /**
     * 添加部门权限的信息
     * @param authorization 响应参数
     * @return 返回结果
     */
    boolean addDeptAssetAuthorization(AssetAuthorization authorization);

    /**
     *  点击获取字段  映射  和类型信息
     * @return 返回结果集
     */
    List<TableFie> tableStructureShow(TableNames tableNames);
}
