package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.domain.CoreDataList;
import com.muyu.server.mapper.DataMapper;
import com.muyu.server.service.DataService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service
 * @Project：cloud-integration
 * @name：DataServiceImpl
 * @Date：2024/8/21 0:35
 */
@Service
public class DataServiceImpl
        extends ServiceImpl<DataMapper, CoreDataList>
        implements DataService
{
    @Override
    public List<CoreDataList> selectCoreDataListByAppCodeAndLimit(String idCard, int limit) {
        LambdaQueryWrapper<CoreDataList> orderPayInfoQueryWrapper = new LambdaQueryWrapper<>();
        orderPayInfoQueryWrapper.eq(CoreDataList::getIdCard,idCard);
        orderPayInfoQueryWrapper.orderBy(true,false,CoreDataList::getBirthday);
        orderPayInfoQueryWrapper.last("limit " + limit);
//
        return this.list(orderPayInfoQueryWrapper);
    }
}
