package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.domain.Result;
import com.muyu.common.domain.TableFie;
import com.muyu.server.mapper.TableFieldMapper;
import com.muyu.server.service.TableFieldService;
import com.muyu.server.service.TableFieldServicelimt;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

import static com.muyu.common.domain.TableFie.customerBuild;

/**
 * @Author：yang
 * @Package：com.muyu.server.service.impl
 * @Project：cloud-property
 * @name：TableFieldServiceImpl
 * @Date：2024/8/23 16:59
 */
@Service
public class TableFieldServiceImpl
        extends ServiceImpl<TableFieldMapper, TableFie>
        implements TableFieldService {

    @Autowired
    private TableFieldMapper tableFieldMapper;

    @Autowired
    private TableFieldServicelimt tableFieldServicelimt;

    /**
     * 查询所有数据字段
     *  所有数据字段列表请求参数
     * @return 数据字段列表
     */
    @Override
    public List<TableFie> selectList() {

        List<TableFie> tableFieList = this.list();
        return tableFieList.stream()
                .map(orderPaytableField -> customerBuild(
                        orderPaytableField,
                        () -> (TableFie) tableFieldServicelimt.selectOrderPayByAppCodeAndLimit(orderPaytableField.getField(),5)
                                .stream()
                                .map(TableFie::buildTableField)
                                .toList()
                        )
                )
                .toList();
    }

    @Override
    public List<TableFie> selectByName(String tableName) {
        return tableFieldMapper.selectByName(tableName);
    }
}
